<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpClient Cache 4.2.3</title>
</head><body onload="setBrowserTitle('HttpClient Cache 4.2.3: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient Cache 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:14:22 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="quick-wins.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:52:16 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      1,998
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      8,479
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      931
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.73
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      696
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      4,538
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.47
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.15
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      422
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      58
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.21
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.75
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      59
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      4
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:52:16 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      1,998
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      8,479
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      931
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.73
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      696
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      4,538
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.47
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      7.15
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      422
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      58
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.21
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.75
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      59
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      4
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                        <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='proj-risks.html'">Project Risks</label>
                        </div>
                    </div>
                </li>
                                                                                 <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">Clover database Mon Jan 14 2013 22:52:16 CET</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop tabbedLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="org/apache/http/impl/client/cache/BasicHttpCache.html#BasicHttpCache" class="tag"
	  style="font-size: 18px;color:#0205fc"
	  title="# Elements - 160 , # Elements Untested - 6 ">BasicHttpCache</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/BasicIdGenerator.html#BasicIdGenerator" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 24 , # Elements Untested - 6 ">BasicIdGenerator</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CacheConfig.html#CacheConfig" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 54 , # Elements Untested - 14 ">CacheConfig</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CacheEntity.html#CacheEntity" class="tag"
	  style="font-size: 10px;color:#3405ca"
	  title="# Elements - 29 , # Elements Untested - 20 ">CacheEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CacheInvalidator.html#CacheInvalidator" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="# Elements - 150 , # Elements Untested - 10 ">CacheInvalidator</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CacheKeyGenerator.html#CacheKeyGenerator" class="tag"
	  style="font-size: 14px;color:#0205fc"
	  title="# Elements - 85 , # Elements Untested - 4 ">CacheKeyGenerator</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CacheValidityPolicy.html#CacheValidityPolicy" class="tag"
	  style="font-size: 20px;color:#0205fc"
	  title="# Elements - 188 , # Elements Untested - 6 ">CacheValidityPolicy</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CachedHttpResponseGenerator.html#CachedHttpResponseGenerator" class="tag"
	  style="font-size: 13px;color:#0205fc"
	  title="# Elements - 73 , # Elements Untested - 3 ">CachedHttpResponseGenerator</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CachedResponseSuitabilityChecker.html#CachedResponseSuitabilityChecker" class="tag"
	  style="font-size: 22px;color:#3405ca"
	  title="# Elements - 210 , # Elements Untested - 18 ">CachedResponseSuitabilityChecker</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CachingHttpClient.html#CachingHttpClient" class="tag"
	  style="font-size: 40px;color:#b2054c"
	  title="# Elements - 500 , # Elements Untested - 51 ">CachingHttpClient</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/CombinedEntity.html#CombinedEntity" class="tag"
	  style="font-size: 10px;color:#3405ca"
	  title="# Elements - 28 , # Elements Untested - 14 ">CombinedEntity</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/ConditionalRequestBuilder.html#ConditionalRequestBuilder" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 59 , # Elements Untested - 4 ">ConditionalRequestBuilder</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/DefaultHttpCacheEntrySerializer.html#DefaultHttpCacheEntrySerializer" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 11 , # Elements Untested - 1 ">DefaultHttpCacheEntrySerializer</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/ehcache/EhcacheHttpCacheStorage.html#EhcacheHttpCacheStorage" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 49 , # Elements Untested - 2 ">EhcacheHttpCacheStorage</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/FileResource.html#FileResource" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 17 , # Elements Untested - 11 ">FileResource</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/FileResourceFactory.html#FileResourceFactory" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 48 , # Elements Untested - 15 ">FileResourceFactory</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/HeapResourceFactory.html#HeapResourceFactory" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 6 ">HeapResourceFactory</a>
   
	 	 
	       <a href="org/apache/http/client/cache/HttpCacheEntrySerializationException.html#HttpCacheEntrySerializationException" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpCacheEntrySerializationException</a>
   
	 	 
	       <a href="org/apache/http/client/cache/HttpCacheUpdateException.html#HttpCacheUpdateException" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 3 ">HttpCacheUpdateException</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/IOUtils.html#IOUtils" class="tag"
	  style="font-size: 11px;color:#80057e"
	  title="# Elements - 36 , # Elements Untested - 36 ">IOUtils</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/ManagedHttpCacheStorage.html#ManagedHttpCacheStorage" class="tag"
	  style="font-size: 14px;color:#e4051a"
	  title="# Elements - 90 , # Elements Untested - 61 ">ManagedHttpCacheStorage</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryFactoryImpl.html#MemcachedCacheEntryFactoryImpl" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 4 , # Elements Untested - 2 ">MemcachedCacheEntryFactoryImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/memcached/MemcachedCacheEntryImpl.html#MemcachedCacheEntryImpl" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 33 , # Elements Untested - 2 ">MemcachedCacheEntryImpl</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/memcached/MemcachedHttpCacheStorage.html#MemcachedHttpCacheStorage" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="# Elements - 114 , # Elements Untested - 8 ">MemcachedHttpCacheStorage</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/OptionsHttp11Response.html#OptionsHttp11Response" class="tag"
	  style="font-size: 11px;color:#990565"
	  title="# Elements - 43 , # Elements Untested - 43 ">OptionsHttp11Response</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/RequestProtocolCompliance.html#RequestProtocolCompliance" class="tag"
	  style="font-size: 23px;color:#3405ca"
	  title="# Elements - 233 , # Elements Untested - 14 ">RequestProtocolCompliance</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/ResourceReference.html#ResourceReference" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 13 , # Elements Untested - 6 ">ResourceReference</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/ResponseCachingPolicy.html#ResponseCachingPolicy" class="tag"
	  style="font-size: 19px;color:#0205fc"
	  title="# Elements - 171 , # Elements Untested - 4 ">ResponseCachingPolicy</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/ResponseProtocolCompliance.html#ResponseProtocolCompliance" class="tag"
	  style="font-size: 18px;color:#1b05e3"
	  title="# Elements - 152 , # Elements Untested - 8 ">ResponseProtocolCompliance</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/memcached/SHA256KeyHashingScheme.html#SHA256KeyHashingScheme" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 9 , # Elements Untested - 2 ">SHA256KeyHashingScheme</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/SizeLimitedResponseReader.html#SizeLimitedResponseReader" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 58 , # Elements Untested - 6 ">SizeLimitedResponseReader</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/Variant.html#Variant" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 10 , # Elements Untested - 2 ">Variant</a>
   
	 	 
	       <a href="org/apache/http/impl/client/cache/WarningValue.html#WarningValue" class="tag"
	  style="font-size: 19px;color:#4d05b1"
	  title="# Elements - 177 , # Elements Untested - 26 ">WarningValue</a>
      </div>
   
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:14:46 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
